Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452610 - Firefox 3.0 Beta 5 Segmentation Faults
Summary: Firefox 3.0 Beta 5 Segmentation Faults
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox
Version: 4.7
Hardware: i386
OS: Linux
low
high
Target Milestone: rc
: ---
Assignee: Gecko Maintainer
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-24 01:41 UTC by Ed Greshko
Modified: 2008-07-03 12:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-03 12:56:36 UTC


Attachments (Terms of Use)
Core file from segfault (deleted)
2008-06-24 01:41 UTC, Ed Greshko
no flags Details

Description Ed Greshko 2008-06-24 01:41:22 UTC
Description of problem: Firefox seg faults on certain URLs


Version-Release number of selected component (if applicable):


How reproducible: Visit http://metocph.nmci.navy.mil/jtwc.php


Steps to Reproduce:
1. Bring up FF and visit http://metocph.nmci.navy.mil/jtwc.php
2.
3.
  
Actual results:


Expected results:


Additional info: This also fails on a RHELv4.6 system with only FF updated from
the beta channel.

Comment 1 Ed Greshko 2008-06-24 01:41:23 UTC
Created attachment 310097 [details]
Core file from segfault

Comment 2 Matěj Cepl 2008-06-25 09:38:51 UTC
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please get your system to some released state (RHEL4.6 or 4.7), and then install
-debuginfo rpm for firefox (see
http://people.redhat.com/duffy/debuginfo/index-js.html for the way how to get
-debuginfo rpms).

Then run firefox with a parameter -g. That will start firefox running inside of
gdb debugger. Then use command run and do whatever you did to make firefox
crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text
editor and attach the file to the bug as an uncompressed attachment.

Please, include in the comment of this bug also output of the command

rpm -qa \*firefox\* \*plug\* \*xulrun\* \*flash\*

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 3 Ed Greshko 2008-06-25 10:02:47 UTC
I went to the URL http://people.redhat.com/duffy/debuginfo/index-js.html and was
unable to find any debuginfo rpm's for firefox-3.0-0.beta5.3.el4.

Please point me to the correct place to pick this up.

Comment 4 Matěj Cepl 2008-06-25 14:21:49 UTC
OK, so the probably best way would be to wait for the final release of
fedora-3.0-1 which will happen in next few days, then you will have -debuginfo
on ftp.redhat.com and everything will me less complicated. Please, try it when
it will be available, and let us know.

In meantime, you can also try upstream binary from
http://www.mozilla.com/products/download.html?product=firefox-3.0&os=linux&lang=en-US
Does it break for you as well?

Thank you for your cooperation.

Comment 5 Ed Greshko 2008-06-26 02:53:35 UTC
If I use the Mozilla released FF 3.0 binary with the evolution28 libpangocairo
it will crash on startup.  (I added /usr/evolution28/lib to ldconfig's path).

If I use libpangocairo from frysk it will fail while loading a page with the error:

/usr/local/firefox/firefox-bin: symbol lookup error:
/usr/local/firefox/libxul.so: undefined symbol: FT_GlyphSlot_Embolden


Comment 6 Martin Stransky 2008-06-26 09:51:00 UTC
firefox-3.0-1.el4 (final) should be released in next 4.7 beta snapshot 5, please
check it after release.

Comment 7 Ed Greshko 2008-07-03 00:21:09 UTC
It seems as if the latest update of freetype has fixed the crash.  However, ff3
(released version 3.0) will crash with a segfault on Quit.  I moved my
.mozilla/firefox directory out of the way and created a new one and even after
adding in all the themes and extensions it no longer crashes on quit.

So, the question is...  Do you want to continue looking into this or close it as
an anomaly? 

Comment 8 Matěj Cepl 2008-07-03 12:56:36 UTC
If this is really the corruption of ~/.mozilla directory problem, than I am
afraid we will give up on this.

Closing as NOTABUG (anymore).


Note You need to log in before you can comment on or make changes to this bug.